Description: Make GCC compiler happy due to char/u_char mismatch
Author: Francesco P. Lovergine <frankie@debian.org>
Forwared: no

---
 dbf.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

--- a/dbf.c
+++ b/dbf.c
@@ -513,7 +513,7 @@
 {
     int     	t, i;
     u_char  	*dbffield;
-    char	*end, *sp;
+    u_char	*end, *sp;
     double	dblval;
     long long	int8val;
     long	int4val;
@@ -549,7 +549,7 @@
     {
 	switch(fields[t].db_type) {
 	  case 'C':		/* Character data */
-	    end = (char *)&dbffield[fields[t].db_flen - 1];
+	    end = &dbffield[fields[t].db_flen - 1];
 	    i = fields[t].db_flen;
 	    while (( i > 0) && ((*end < 0x21)/* || (*end > 0x7E)*/)) {
 		end--;
@@ -657,7 +657,7 @@
 	    break;
 
 	  default:
-	    end = (char *)dbffield;
+	    end = dbffield;
 	    i = fields[t].db_flen;
 	    while (( i > 0) && ((*end < 0x21)/* || (*end > 0x7E)*/)) {
 		end++;
